Permalink
Browse files

Start using Cabal-1.6 features

Specify the darcs repo and use explicit deps for base and Cabal
  • Loading branch information...
ivan-m committed May 7, 2010
1 parent 9c9584d commit 96ddf790ea5a266fde896391b52db99514d73ca5
Showing with 7 additions and 3 deletions.
  1. +7 −3 haskell-updater.cabal
View
@@ -20,10 +20,14 @@ Author: Ivan Lazar Miljenovic,
Lennart Kolmodin,
Stephan Friedrichs
Maintainer: Ivan.Miljenovic@gmail.com
-Cabal-Version: >= 1.2
+Cabal-Version: >= 1.6
Build-Type: Simple
Extra-Source-Files: TODO
+Source-Repository head
+ Type: darcs
+ Location: http://code.haskell.org/gentoo/haskell-updater/
+
Executable haskell-updater {
Main-Is: Main.hs
@@ -35,8 +39,8 @@ Executable haskell-updater {
Ghc-Options: -Wall
Ghc-Prof-Options: -auto-all
- Build-Depends: base >= 3 && < 5,
- Cabal >= 1.8 && < 1.9,
+ Build-Depends: base == 4.*,
+ Cabal == 1.8.*,
containers < 0.4,
filepath < 1.2,
directory < 1.1,

0 comments on commit 96ddf79

Please sign in to comment.